com.holonplatform.vaadin.flow.navigator.errors

## Class UnauthorizedNavigationError

- java.lang.Object
- - com.vaadin.flow.component.Component
  - - com.vaadin.flow.component.HtmlComponent
    - - com.vaadin.flow.component.HtmlContainer
      - - com.vaadin.flow.component.html.Div
        - - com.holonplatform.vaadin.flow.navigator.errors.UnauthorizedNavigationError

- All Implemented Interfaces:
    com.vaadin.flow.component.AttachNotifier, com.vaadin.flow.component.ClickNotifier<com.vaadin.flow.component.html.Div>, com.vaadin.flow.component.DetachNotifier, com.vaadin.flow.component.HasComponents, com.vaadin.flow.component.HasElement, com.vaadin.flow.component.HasEnabled, com.vaadin.flow.component.HasSize, com.vaadin.flow.component.HasStyle, com.vaadin.flow.component.HasText, com.vaadin.flow.router.HasErrorParameter<UnauthorizedNavigationException>, Serializable

      @NoTheme
      public class UnauthorizedNavigationError
      extends com.vaadin.flow.component.html.Div
      implements com.vaadin.flow.router.HasErrorParameter<UnauthorizedNavigationException>

  Default navigator error handler for the `UnauthorizedNavigationError` error.

  This error handler will show a localizable header message composed by the `Navigator.DEFAULT_NAVIGATION_FAILED_MESSAGE` followed by the failed navigation path, using the `Navigator.DEFAULT_NAVIGATION_FAILED_MESSAGE_CODE` as localization message code.

  The header is followed by the localizable message `UnauthorizedNavigationException.DEFAULT_MESSAGE`, using the `UnauthorizedNavigationException.DEFAULT_MESSAGE_CODE` as localization message code.

  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnauthorizedNavigationError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `setErrorParameter(com.vaadin.flow.router.BeforeEnterEvent event, com.vaadin.flow.router.ErrorParameter<UnauthorizedNavigationException> parameter)`

    - ### Methods inherited from class com.vaadin.flow.component.HtmlComponent

      `getTitle, setTitle`

    - ### Methods inherited from class com.vaadin.flow.component.Component

      `from, getChildren, getElement, getId, getParent, getTranslation, getTranslation, getUI, isVisible, onEnabledStateChanged, setId, setVisible`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.vaadin.flow.component.ClickNotifier

      `addClickListener, addClickShortcut`

    - ### Methods inherited from interface com.vaadin.flow.component.HasComponents

      `add, add, addComponentAsFirst, addComponentAtIndex, remove, removeAll`

    - ### Methods inherited from interface com.vaadin.flow.component.HasEnabled

      `isEnabled, setEnabled`

    - ### Methods inherited from interface com.vaadin.flow.component.HasElement

      `getElement`

    - ### Methods inherited from interface com.vaadin.flow.component.HasText

      `getText, setText`

    - ### Methods inherited from interface com.vaadin.flow.component.HasSize

      `getHeight, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getWidth, setHeight, setHeightFull, setMaxHeight, setMaxWidth, setMinHeight, setMinWidth, setSizeFull, setSizeUndefined, setWidth, setWidthFull`

    - ### Methods inherited from interface com.vaadin.flow.component.HasStyle

      `addClassName, addClassNames, getClassName, getClassNames, getStyle, hasClassName, removeClassName, removeClassNames, setClassName, setClassName`

    - ### Methods inherited from interface com.vaadin.flow.component.AttachNotifier

      `addAttachListener`

    - ### Methods inherited from interface com.vaadin.flow.component.DetachNotifier

      `addDetachListener`

- - ### Constructor Detail

    - #### UnauthorizedNavigationError

          public UnauthorizedNavigationError()

  - ### Method Detail

    - #### setErrorParameter

          public int setErrorParameter(com.vaadin.flow.router.BeforeEnterEvent event,
                                       com.vaadin.flow.router.ErrorParameter<UnauthorizedNavigationException> parameter)

      Specified by:
        `setErrorParameter` in interface `com.vaadin.flow.router.HasErrorParameter<UnauthorizedNavigationException>`

Copyright © 2019 The Holon Platform. All rights reserved.